#include "MainWindow.h"
#include "ui_MainWindow.h"

#include <QStyle>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    QMenu* Menu = ui->menuBar->addMenu("Menu Items");
    QAction* a = Menu->addAction("Checkable Icon (with icon)");
    a->setCheckable(true);
    a->setChecked(true);
    QIcon Icon;
    Icon.addPixmap(style()->standardPixmap(QStyle::SP_MessageBoxInformation), QIcon::Normal, QIcon::Off);
    Icon.addPixmap(style()->standardPixmap(QStyle::SP_MessageBoxWarning), QIcon::Normal, QIcon::On);
    a->setIcon(Icon);

    a = Menu->addAction("Checkable Icon (no icon)");
    a->setCheckable(true);
    a->setChecked(true);

    a = Menu->addAction(style()->standardIcon(QStyle::SP_DirOpenIcon), "Uncheckable Icon (with icon)");
}

MainWindow::~MainWindow()
{
    delete ui;
}
